Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Sgerfs

    java.lang.Object
      org.netlib.lapack.Sgerfs

    public class Sgerfs

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SGERFS improves the computed solution to a system of linear
     *  equations and provides error bounds and backward error estimates for

     *  the solution.
     *
     *  Arguments
     *  =========
     *
     *  TRANS   (input) CHARACTER*1
     *          Specifies the form of the system of equations:
     *          = 'N':  A * X = B     (No transpose)
     *          = 'T':  A**T * X = B  (Transpose)
     *          = 'C':  A**H * X = B  (Conjugate transpose = Transpose)
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  NRHS    (input) INTEGER
     *          The number of right hand sides, i.e., the number of columns
     *          of the matrices B and X.  NRHS >= 0.
     *
     *  A       (input) REAL array, dimension (LDA,N)
     *          The original N-by-N matrix A.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,N).
     *
     *  AF      (input) REAL array, dimension (LDAF,N)
     *          The factors L and U from the factorization A = P*L*U
     *          as computed by SGETRF.
     *
     *  LDAF    (input) INTEGER
     *          The leading dimension of the array AF.  LDAF >= max(1,N).
     *
     *  IPIV    (input) INTEGER array, dimension (N)
     *          The pivot indices from SGETRF; for 1<=i<=N, row i of the
     *          matrix was interchanged with row IPIV(i).
     *
     *  B       (input) REAL array, dimension (LDB,NRHS)
     *          The right hand side matrix B.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= max(1,N).
     *
     *  X       (input/output) REAL array, dimension (LDX,NRHS)
     *          On entry, the solution matrix X, as computed by SGETRS.
     *          On exit, the improved solution matrix X.
     *
     *  LDX     (input) INTEGER
     *          The leading dimension of the array X.  LDX >= max(1,N).
     *
     *  FERR    (output) REAL array, dimension (NRHS)
     *          The estimated forward error bound for each solution vector
     *          X(j) (the j-th column of the solution matrix X).
     *          If XTRUE is the true solution corresponding to X(j), FERR(j)

     *          is an estimated upper bound for the magnitude of the largest

     *          element in (X(j) - XTRUE) divided by the magnitude of the
     *          largest element in X(j).  The estimate is as reliable as
     *          the estimate for RCOND, and is almost always a slight
     *          overestimate of the true error.
     *
     *  BERR    (output) REAL array, dimension (NRHS)
     *          The componentwise relative backward error of each solution
     *          vector X(j) (i.e., the smallest relative change in
     *          any element of A or B that makes X(j) an exact solution).
     *
     *  WORK    (workspace) REAL array, dimension (3*N)
     *
     *  IWORK   (workspace) INTEGER array, dimension (N)
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  Internal Parameters
     *  ===================
     *
     *  ITMAX is the maximum number of steps of iterative refinement.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Sgerfs()`

Method Summary
`static void` | `sgerfs(java.lang.String trans, int n, int nrhs, float[] a, int _a_offset, int lda, float[] af, int _af_offset, int ldaf, int[] ipiv, int _ipiv_offset, float[] b, int _b_offset, int ldb, float[] x, int _x_offset, int ldx, float[] ferr, int _ferr_offset, float[] berr, int _berr_offset, float[] work, int _work_offset, int[] iwork, int _iwork_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sgerfs

    public Sgerfs()

Method Detail

### sgerfs

    public static void sgerfs(java.lang.String trans,
                              int n,
                              int nrhs,
                              float[] a,
                              int _a_offset,
                              int lda,
                              float[] af,
                              int _af_offset,
                              int ldaf,
                              int[] ipiv,
                              int _ipiv_offset,
                              float[] b,
                              int _b_offset,
                              int ldb,
                              float[] x,
                              int _x_offset,
                              int ldx,
                              float[] ferr,
                              int _ferr_offset,
                              float[] berr,
                              int _berr_offset,
                              float[] work,
                              int _work_offset,
                              int[] iwork,
                              int _iwork_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD